%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define major   2
%define api     1
%define libname %mklibname spelling %{api} %{major}
%define girname %mklibname spelling-gir %{api}
%define devname %mklibname spelling -d

Name:           libspelling
Version:        0.4.6
Release:        %mkrel 1
Summary:        A spellcheck library for GTK 4
License:        LGPL-2.1-or-later
Group:          System/Libraries
URL:            https://gitlab.gnome.org/chergert/libspelling
Source:         https://download.gnome.org/sources/libspelling/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  pkgconfig(gi-docgen)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtksourceview-5)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(vapigen)
# for tests
BuildRequires:  enchant2
BuildRequires:  hunspell-en

%description
A spellcheck library for GTK 4.
This library is heavily based upon GNOME Text Editor and GNOME
Builder's spellcheck implementation. However, it is licensed
LGPL-2.1-or-later

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries
Requires:       %{name}-i18n >= %{version}

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface library for %{name}
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package i18n
Summary:        Translation files for %{name}
Group:          System/Internationalization
BuildArch:      noarch

%description i18n
This package contains translation files for %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%check
%meson_test

%files i18n -f %{name}.lang

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libspelling-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Spelling-%{api}.typelib

%files -n %{devname}
%doc %{_datadir}/doc/libspelling-%{api}/
%{_includedir}/libspelling-%{api}/
%{_libdir}/libspelling-%{api}.so
%{_libdir}/pkgconfig/libspelling-%{api}.pc
%{_datadir}/gir-1.0/Spelling-%{api}.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libspelling-%{api}.deps
%{_datadir}/vala/vapi/libspelling-%{api}.vapi


%changelog
* Wed Jan 29 2025 daviddavid <daviddavid> 0.4.6-1.mga10
+ Revision: 2143244
- new version 0.4.6

* Sun Jan 12 2025 wally <wally> 0.4.5-2.mga10
+ Revision: 2138383
- rebuild for icu 76.1

* Mon Nov 25 2024 daviddavid <daviddavid> 0.4.5-1.mga10
+ Revision: 2118845
- new version 0.4.5

* Mon Oct 21 2024 daviddavid <daviddavid> 0.4.4-1.mga10
+ Revision: 2109414
- new version: 0.4.4

* Thu Oct 17 2024 daviddavid <daviddavid> 0.4.3-1.mga10
+ Revision: 2107656
- new version: 0.4.3

* Sat Oct 05 2024 daviddavid <daviddavid> 0.4.2-1.mga10
+ Revision: 2103538
- new version 0.4.2

* Fri Sep 27 2024 daviddavid <daviddavid> 0.4.1-1.mga10
+ Revision: 2101590
- new version 0.4.1

* Wed Sep 18 2024 daviddavid <daviddavid> 0.4.0-2.mga10
+ Revision: 2098071
- re-enable testsuite

* Wed Sep 18 2024 daviddavid <daviddavid> 0.4.0-1.mga10
+ Revision: 2098069
- new version 0.4.0
- new version 0.3.0

* Mon Mar 04 2024 daviddavid <daviddavid> 0.2.1-1.mga10
+ Revision: 2047515
- new version 0.2.1

* Thu Dec 07 2023 daviddavid <daviddavid> 0.2.0-1.mga10
+ Revision: 2014278
- initial package libspelling

